Lrc Editor

Utilities

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

0
5 .0
Description:

Lrc Editor
A Lrc Files Editor
Copyright (C) 2009 Jan Fucek

Requirements:
Qt (>= 4.5) (May work on lesser versions but is tested only on 4.5)
Qt-devel (>= 4.5)
Amarok (== 1.4.X)


Building and Installation:
$ ./compile
This script will compile the Lrc Editor and put its binary into the bin directory.
Installation is still not yet completed.


License:
Lrc Editor is distributed under the GNU General Public License.


Features:
-Amarok 1.4.X compatibility (2.X is yet to come)
-Interactive .lrc files editing
-Automatic text clean up
-Actually playing track info
-Amarok Control directly from the application
-Translated User Interface

a1000

10 years ago

copying and pasting:

[root@biblioteca lrceditor-0.1.2]# ./compile
Creating Makefiles
./compile: line 4: qmake: command not found
./compile: line 6: qmake: command not found
Compiling...
make: *** No targets specified and no makefile found. Stop.
[root@biblioteca lrceditor-0.1.2]#

As you can see, I can not compile it. What can I do now?

Report

C

PingusPepan

10 years ago

Hello,
You probably doesn't have qmake (>=4.5) installed on your computer.
I'm sorry, I forgot to list the qmake in the list of dependencies, but I'll fix it soon.
Please, try to install qmake, compile again and then let me know, if it'll work for you.

Sorry, for my mistake again,
Ping

Report

C

PingusPepan

10 years ago

Qmake is a part of qt-devel package...

Report

sanfanling

11 years ago

Base on dbus system, it could support more media players.

Is it developed from Lrceditor-Amarok? I am curious :)

Report

C

PingusPepan

11 years ago

Yes, main inspiration is taken from Lrceditor-Amarok and the design is quite the same, but the original app was written in Python and used Qt3, so I rewrote it to use C++ as I don't know python and used a Qt4 library.
If you tried it, then you may noticed that in configuration, there is an Amarok version chooser (Amarok 2.X is not working though), so I'm working on the dbus interface too, but it will take some time, so for now it supports Amarok 1.4.X (probably also 1.X) only.
:-)

Report

12345678910
product-maker Base: 4 x 5.0 Ratings
Be the first to comment
File (click to download) Version Description PackagetypeArchitectureRelease Channel Downloads Date Filesize DL OCS-Install MD5SUM
*Needs pling-store or ocs-url to install things
Pling
0 Affiliates
Details
license
version
0.1.2
updated Nov 08 2009
added Oct 18 2009
downloads 24h
0
mediaviews 24h 0
pageviews 24h 0
System Tags app software